> For the complete documentation index, see [llms.txt](https://degreetpro.gitbook.io/nestgram/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://degreetpro.gitbook.io/nestgram/api-reference/check-user-subscription.md).

# Check user subscription

To check user subscription, use `.checkSubscription` **answer method**

{% hint style="info" %}
.checkSubscription answer method takes argument: **channel IDs** you want to check the user subscription to (...spread)
{% endhint %}

{% hint style="warning" %}
The bot must be an administrator of the channel/group you want to check the subscription to
{% endhint %}

{% hint style="success" %}
Returns **true** if the user subscribed for all channels
{% endhint %}

{% code title="app.controller.ts" %}

```typescript
import {
  Alert,
  Answer,
  Controller,
  GetAnswer,
  Keyboard,
  KeyboardTypes,
  MessageSend,
  OnClick,
  OnCommand,
} from 'nestgram';

import { AppService } from './app.service';

@Controller()
export class AppController {
  channelLink: string = 'https://t.me/nestgram_ts'
  channelId: number = -1001662708678

  constructor(private readonly appService: AppService) {}

  @OnCommand('start')
  helloMessage() {
    return new MessageSend(
      `Are you subscribed to the channel ${this.channelLink}?`,
      new Keyboard(KeyboardTypes.underTheMessage).btn('Yes!', 'check')
    );
  }
  
  @OnClick('check')
  async checkSubscription(@GetAnswer() answer: Answer) {
    const subscribed: boolean = await answer.checkSubscription(this.channelId);
    if (!subscribed) return new Alert(`You're a liar!`);
    return `Well thank you!`;
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://degreetpro.gitbook.io/nestgram/api-reference/check-user-subscription.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
